Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.web.metaclass
Class ControllerDynamicMethods

    java.lang.Object
      org.codehaus.groovy.grails.web.metaclass.ControllerDynamicMethods

    public class ControllerDynamicMethods

extends Object

Holds constants that refer to the names of dynamic methods and properties within controllers

Since:
  Oct 24, 2005
Author:
  Graeme Rocher

Field Summary
`static String` | `ACTION_NAME_PROPERTY`
`static String` | `ACTION_URI_PROPERTY`
`static String` | `CONTROLLER_NAME_PROPERTY`
`static String` | `CONTROLLER_URI_PROPERTY`
`static String` | `ERRORS_PROPERTY`
`static String` | `FLASH_SCOPE_PROPERTY`
`static String` | `GET_TEMPLATE_URI`
`static String` | `GET_VIEW_URI`
`static String` | `GRAILS_APPLICATION`
`static String` | `GRAILS_ATTRIBUTES`
`static String` | `HAS_ERRORS_METHOD`
`static String` | `MODEL_AND_VIEW_PROPERTY`
`static String` | `RENDER_VIEW_PROPERTY`
`static String` | `REQUEST_PROPERTY`
`static String` | `RESPONSE_PROPERTY`
`static String` | `SERVLET_CONTEXT`

Constructor Summary
`ControllerDynamicMethods()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUEST_PROPERTY

    public static final String REQUEST_PROPERTY

See Also:
  Constant Field Values

### SERVLET_CONTEXT

    public static final String SERVLET_CONTEXT

See Also:
  Constant Field Values

### FLASH_SCOPE_PROPERTY

    public static final String FLASH_SCOPE_PROPERTY

See Also:
  Constant Field Values

### GRAILS_ATTRIBUTES

    public static final String GRAILS_ATTRIBUTES

See Also:
  Constant Field Values

### GRAILS_APPLICATION

    public static final String GRAILS_APPLICATION

See Also:
  Constant Field Values

### RESPONSE_PROPERTY

    public static final String RESPONSE_PROPERTY

See Also:
  Constant Field Values

### RENDER_VIEW_PROPERTY

    public static final String RENDER_VIEW_PROPERTY

See Also:
  Constant Field Values

### ERRORS_PROPERTY

    public static final String ERRORS_PROPERTY

See Also:
  Constant Field Values

### HAS_ERRORS_METHOD

    public static final String HAS_ERRORS_METHOD

See Also:
  Constant Field Values

### MODEL_AND_VIEW_PROPERTY

    public static final String MODEL_AND_VIEW_PROPERTY

See Also:
  Constant Field Values

### ACTION_URI_PROPERTY

    public static final String ACTION_URI_PROPERTY

See Also:
  Constant Field Values

### CONTROLLER_URI_PROPERTY

    public static final String CONTROLLER_URI_PROPERTY

See Also:
  Constant Field Values

### ACTION_NAME_PROPERTY

    public static final String ACTION_NAME_PROPERTY

See Also:
  Constant Field Values

### CONTROLLER_NAME_PROPERTY

    public static final String CONTROLLER_NAME_PROPERTY

See Also:
  Constant Field Values

### GET_VIEW_URI

    public static final String GET_VIEW_URI

See Also:
  Constant Field Values

### GET_TEMPLATE_URI

    public static final String GET_TEMPLATE_URI

See Also:
  Constant Field Values

Constructor Detail

### ControllerDynamicMethods

    public ControllerDynamicMethods()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2005-2009 The Grails project